## sir-1.9.5-qt4.tar.gz

=== Makefile ===
#############################################################################
# Makefile for building: sir
# Generated by qmake (2.01a) (Qt 4.4.3) on: sb fev 14 12:27:51 2009
# Project:  sir.pro
# Template: app
# Command: /usr/bin/qmake-qt4 -unix -o Makefile sir.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtGui -I/usr/include/qt4 -I.moc -I.ui
LINK          = g++
LFLAGS        = -Wl,--no-undefined
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtGui -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = .obj/

####### Files

SOURCES       = main.cpp \
		convertdialog.cpp \
		previewdialog.cpp \
		optionsdialog.cpp \
		myqtreewidget.cpp \
		convertthread.cpp \
		aboutdialog.cpp \
		languageutils.cpp .moc/moc_convertdialog.cpp \
		.moc/moc_previewdialog.cpp \
		.moc/moc_optionsdialog.cpp \
		.moc/moc_myqtreewidget.cpp \
		.moc/moc_convertthread.cpp \
		.moc/moc_aboutdialog.cpp \
		qrc_application.cpp
OBJECTS       = .obj/main.o \
		.obj/convertdialog.o \
		.obj/previewdialog.o \
		.obj/optionsdialog.o \
		.obj/myqtreewidget.o \
		.obj/convertthread.o \
		.obj/aboutdialog.o \
		.obj/languageutils.o \
		.obj/moc_convertdialog.o \
		.obj/moc_previewdialog.o \
		.obj/moc_optionsdialog.o \
		.obj/moc_myqtreewidget.o \
		.obj/moc_convertthread.o \
		.obj/moc_aboutdialog.o \
		.obj/qrc_application.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		sir.pro
QMAKE_TARGET  = sir
DESTDIR       = 
TARGET        = sir

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): .ui/ui_convertdialog.h .ui/ui_about.h .ui/ui_optionsdialog.h .ui/ui_previewdialog.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: sir.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile sir.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile sir.pro

dist: 
	@$(CHK_DIR_EXISTS) .obj/sir1.0.0 || $(MKDIR) .obj/sir1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .obj/sir1.0.0/ && $(COPY_FILE) --parents main.h convertdialog.h previewdialog.h optionsdialog.h myqtreewidget.h convertthread.h aboutdialog.h defines.h languageutils.h .obj/sir1.0.0/ && $(COPY_FILE) --parents application.qrc .obj/sir1.0.0/ && $(COPY_FILE) --parents main.cpp convertdialog.cpp previewdialog.cpp optionsdialog.cpp myqtreewidget.cpp convertthread.cpp aboutdialog.cpp languageutils.cpp .obj/sir1.0.0/ && $(COPY_FILE) --parents convertdialog.ui about.ui optionsdialog.ui previewdialog.ui .obj/sir1.0.0/ && $(COPY_FILE) --parents translations/sir_pt_BR.ts translations/sir_de.ts translations/sir_es.ts translations/sir_sk.ts translations/sir_ru_RU.ts translations/sir_hu_HU.ts translations/sir_pl.ts translations/sir_nl.ts translations/sir_ro_RO.ts .obj/sir1.0.0/ && (cd `dirname .obj/sir1.0.0` && $(TAR) sir1.0.0.tar sir1.0.0 && $(COMPRESS) sir1.0.0.tar) && $(MOVE) `dirname .obj/sir1.0.0`/sir1.0.0.tar.gz . && $(DEL_FILE) -r .obj/sir1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: .moc/moc_convertdialog.cpp .moc/moc_previewdialog.cpp .moc/moc_optionsdialog.cpp .moc/moc_myqtreewidget.cpp .moc/moc_convertthread.cpp .moc/moc_aboutdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) .moc/moc_convertdialog.cpp .moc/moc_previewdialog.cpp .moc/moc_optionsdialog.cpp .moc/moc_myqtreewidget.cpp .moc/moc_convertthread.cpp .moc/moc_aboutdialog.cpp
.moc/moc_convertdialog.cpp: .ui/ui_convertdialog.h \
		myqtreewidget.h \
		convertthread.h \
		convertdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) convertdialog.h -o .moc/moc_convertdialog.cpp

.moc/moc_previewdialog.cpp: .ui/ui_previewdialog.h \
		previewdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) previewdialog.h -o .moc/moc_previewdialog.cpp

.moc/moc_optionsdialog.cpp: .ui/ui_optionsdialog.h \
		optionsdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) optionsdialog.h -o .moc/moc_optionsdialog.cpp

.moc/moc_myqtreewidget.cpp: myqtreewidget.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) myqtreewidget.h -o .moc/moc_myqtreewidget.cpp

.moc/moc_convertthread.cpp: convertthread.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) convertthread.h -o .moc/moc_convertthread.cpp

.moc/moc_aboutdialog.cpp: .ui/ui_about.h \
		aboutdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) aboutdialog.h -o .moc/moc_aboutdialog.cpp

compiler_rcc_make_all: qrc_application.cpp
compiler_rcc_clean:
	-$(DEL_FILE) qrc_application.cpp
qrc_application.cpp: application.qrc \
		translations/sir_ru_RU.qm \
		translations/sir_hu_HU.qm \
		translations/sir_de.qm \
		translations/sir_es.qm \
		translations/sir_nl.qm \
		translations/sir_ro_RO.qm \
		translations/sir_sk.qm \
		translations/sir_pl.qm \
		translations/translation_info.txt \
		translations/sir_pt_BR.qm \
		images/zoom.png \
		images/print.png \
		images/sir-64x64.png \
		images/polish.png \
		images/rotate_ccw.png \
		images/filesave.png \
		images/spanish.png \
		images/sir-32x32.png \
		images/german.png \
		images/dutch.png \
		images/russian.png \
		images/next.png \
		images/window_fullscreen.png \
		images/portuguese.png \
		images/filesaveas.png \
		images/rotate_cw.png \
		images/hungarian.png \
		images/romanian.png \
		images/exit.png \
		images/previous.png \
		images/english.png \
		images/slovak.png
	/usr/bin/rcc -name application application.qrc -o qrc_application.cpp

compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: .ui/ui_convertdialog.h .ui/ui_about.h .ui/ui_optionsdialog.h .ui/ui_previewdialog.h
compiler_uic_clean:
	-$(DEL_FILE) .ui/ui_convertdialog.h .ui/ui_about.h .ui/ui_optionsdialog.h .ui/ui_previewdialog.h
.ui/ui_convertdialog.h: convertdialog.ui \
		myqtreewidget.h
	/usr/bin/uic-qt4 convertdialog.ui -o .ui/ui_convertdialog.h

.ui/ui_about.h: about.ui
	/usr/bin/uic-qt4 about.ui -o .ui/ui_about.h

.ui/ui_optionsdialog.h: optionsdialog.ui
	/usr/bin/uic-qt4 optionsdialog.ui -o .ui/ui_optionsdialog.h

.ui/ui_previewdialog.h: previewdialog.ui
	/usr/bin/uic-qt4 previewdialog.ui -o .ui/ui_previewdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_rcc_clean compiler_uic_clean 

####### Compile

.obj/main.o: main.cpp main.h \
		convertdialog.h \
		.ui/ui_convertdialog.h \
		myqtreewidget.h \
		convertthread.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/main.o main.cpp

.obj/convertdialog.o: convertdialog.cpp convertdialog.h \
		.ui/ui_convertdialog.h \
		myqtreewidget.h \
		convertthread.h \
		previewdialog.h \
		.ui/ui_previewdialog.h \
		aboutdialog.h \
		.ui/ui_about.h \
		optionsdialog.h \
		.ui/ui_optionsdialog.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/convertdialog.o convertdialog.cpp

.obj/previewdialog.o: previewdialog.cpp previewdialog.h \
		.ui/ui_previewdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/previewdialog.o previewdialog.cpp

.obj/optionsdialog.o: optionsdialog.cpp optionsdialog.h \
		.ui/ui_optionsdialog.h \
		languageutils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/optionsdialog.o optionsdialog.cpp

.obj/myqtreewidget.o: myqtreewidget.cpp myqtreewidget.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/myqtreewidget.o myqtreewidget.cpp

.obj/convertthread.o: convertthread.cpp convertthread.h \
		defines.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/convertthread.o convertthread.cpp

.obj/aboutdialog.o: aboutdialog.cpp aboutdialog.h \
		.ui/ui_about.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/aboutdialog.o aboutdialog.cpp

.obj/languageutils.o: languageutils.cpp languageutils.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/languageutils.o languageutils.cpp

.obj/moc_convertdialog.o: .moc/moc_convertdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_convertdialog.o .moc/moc_convertdialog.cpp

.obj/moc_previewdialog.o: .moc/moc_previewdialog.cpp

=== debian/changelog ===
sir (1.9.5-0Ubuntu1) intrepid; urgency=low

    * Sir has a icon now! Thanks Marcin Skrobański
    * Added a new function to handle fullscreen option
    * changed the installation instructions as sir have a make install command
    * Update some translations
    * Romanian Translation added: thanks Ovidiu Pop


 -- Rafael Sachetto <rsachetto@gmail.com>  Fri, 14 Feb 2009 23:21:40 -0300

=== debian/control ===
Source: sir
Section: misc
Priority: optional
Maintainer: Rafael Sachetto <rsachetto@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev (>=4)
Standards-Version: 3.7.3
Homepage: http://rsachetto.googlepages.com

Package: sir
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui
Description:  Simple image resizer
 Simple program to resize and rotate images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	qmake-qt4
	$(MAKE)
	#docbook-to-man debian/sir.sgml > sir.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/sir.
	$(MAKE) INSTALL_ROOT=$(CURDIR)/debian/sir install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
